/*  :ts=8 bk=0
 *
 * scores.c:	Bitmap images for the score values (1000 - 5000)
 *
 * Leo L. Schwab			8710.1		(415) 456-3960
 */
#include <exec/types.h>
#include <graphics/gfx.h>
#include "marketroid.h"

static UWORD oneK0[5];
static UWORD oneK1[] = {  0xDFC0, 0x5540, 0x5540, 0x5540, 0xFFC0 };

static UWORD twoK0[] = {  0xE000,  0x2000,  0xE000,  0x8000,  0xE000 };
static UWORD twoK1[] = {  0xFFC0,  0x3540,  0xF540,  0x9540,  0xFFC0 };
static UWORD twoK2[5];

static UWORD threeK0[5];
static UWORD threeK1[] = {  0xE000,  0x2000,  0xE000,  0x2000,  0xE000 };
static UWORD threeK2[] = {  0x1FC0,  0x1540,  0x1540,  0x1540,  0x1FC0 };
static UWORD threeK3[] = {  0xFFC0,  0x3540,  0xF540,  0x3540,  0xFFC0 };

static UWORD fourK0[] = {  0xA000,  0xA000,  0xE000,  0x2000,  0x2000 };
static UWORD fourK1[] = {  0xBFC0,  0xB540,  0xF540,  0x3540,  0x3FC0 };
static UWORD fourK2[5];

static UWORD fiveK0[] = {  0xE000,  0x8000,  0xE000,  0x2000,  0xE000 };
static UWORD fiveK2[] = {  0xFFC0,  0x9540,  0xF540,  0x3540,  0xFFC0 };

/*----- bitmap : w = 16, h = 5 ------ */
static struct BitMap bm_1K = {
	2, 5, 0, 4,
	0,
	oneK0, oneK1, oneK0, oneK1,	/*  Trickery and deceit here  */
	0, 0, 0, 0
};

/*----- bitmap : w = 16, h = 5 ------ */
static struct BitMap bm_2K = {
	2, 5, 0, 4,
	0,
	twoK0, twoK1, twoK2, twoK1,	/*  Trickery  */
	0, 0, 0, 0
};

/*----- bitmap : w = 16, h = 5 ------ */
static struct BitMap bm_3K = {
	2, 5, 0, 4,
	0,
	threeK0, threeK1, threeK2, threeK3,
	0, 0, 0, 0
};

/*----- bitmap : w = 16, h = 5 ------ */
static struct BitMap bm_4K = {
	2, 5, 0, 4,
	0,
	fourK0, fourK1, fourK2, fourK1,		/*  Trickery  */
	0, 0, 0, 0
};

/*----- bitmap : w = 16, h = 5 ------ */
static struct BitMap bm_5K = {
	2, 5, 0, 4,
	0,
	fiveK0, fiveK0, fiveK2, fiveK2,		/*  Trickery  */
	0, 0, 0, 0
};


struct object ob_1K = {
	&bm_1K,
	10, 5,
	1, NULL,
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 4			/*  Motionless (more or less)  */
};

struct object ob_2K = {
	&bm_2K,
	10, 5,
	1, NULL,
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 4			/*  Motionless (more or less)  */
};

struct object ob_3K = {
	&bm_3K,
	10, 5,
	1, NULL,
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 4			/*  Motionless (more or less)  */
};

struct object ob_4K = {
	&bm_4K,
	10, 5,
	1, NULL,
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 4			/*  Motionless (more or less)  */
};

struct object ob_5K = {
	&bm_5K,
	10, 5,
	1, NULL,
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 4			/*  Motionless (more or less)  */
};
